package com.jojubanking.boot.module.system.service.item;

import java.util.*;
import javax.validation.*;
import com.jojubanking.boot.module.system.controller.admin.item.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.item.ItemDO;
import com.jojubanking.boot.framework.common.pojo.PageResult;

/**
 * 检查项目 Service 接口
 *
 * @author admin
 */
public interface ItemService {

    Map<String, Object> getLCzxks(String itemname);
    Map<String, Object> getSFXMMzxks(String itemname);

    public List<Map<String, Object>> getItemPriceLc(String itemnos);
    public List<Map<String, Object>> getItemPricexxm(String itemnos);

    /**
     * 创建检查项目
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createItem(@Valid ItemCreateReqVO createReqVO);

    /**
     * 更新检查项目
     *
     * @param updateReqVO 更新信息
     */
    void updateItem(@Valid ItemUpdateReqVO updateReqVO);
    public void updateItemByChild(ItemDO itemDO);

    public void updateItemPriceByNo(ItemDO itemDO);

    public List<Map<String, Object>> getItemPrice(String itemnos);

    /**
     * 删除检查项目
     *
     * @param id 编号
     */
    void deleteItem(Long id);

    /**
     * 获得检查项目
     *
     * @param id 编号
     * @return 检查项目
     */
    ItemDO getItem(Long id);

    /**
     * 获得检查项目列表
     *
     * @param ids 编号
     * @return 检查项目列表
     */
    List<ItemDO> getItemList(Collection<Long> ids);

    List<ItemDO> getSimpleItemList(String patid, String packageno, String batchno);
    /**
     * 获得检查项目分页
     *
     * @param pageReqVO 分页查询
     * @return 检查项目分页
     */
    PageResult<ItemDO> getItemPage(ItemPageReqVO pageReqVO);

    /**
     * 获得检查项目列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 检查项目列表
     */
    List<ItemDO> getItemList(ItemExportReqVO exportReqVO);

}
